// Copyright 2022 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Code generated by aliasgen. DO NOT EDIT.

// Package networkconnectivity aliases all exported identifiers in package
// "cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb".
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb.
// Please read https://github.com/googleapis/google-cloud-go/blob/main/migration.md
// for more details.
package networkconnectivity

import (
	src "cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb"
	grpc "google.golang.org/grpc"
)

// Deprecated: Please use consts in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
const (
	LocationFeature_LOCATION_FEATURE_UNSPECIFIED = src.LocationFeature_LOCATION_FEATURE_UNSPECIFIED
	LocationFeature_SITE_TO_CLOUD_SPOKES         = src.LocationFeature_SITE_TO_CLOUD_SPOKES
	LocationFeature_SITE_TO_SITE_SPOKES          = src.LocationFeature_SITE_TO_SITE_SPOKES
	State_ACTIVE                                 = src.State_ACTIVE
	State_CREATING                               = src.State_CREATING
	State_DELETING                               = src.State_DELETING
	State_STATE_UNSPECIFIED                      = src.State_STATE_UNSPECIFIED
)

// Deprecated: Please use vars in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
var (
	File_google_cloud_networkconnectivity_v1_common_proto = src.File_google_cloud_networkconnectivity_v1_common_proto
	File_google_cloud_networkconnectivity_v1_hub_proto    = src.File_google_cloud_networkconnectivity_v1_hub_proto
	LocationFeature_name                                  = src.LocationFeature_name
	LocationFeature_value                                 = src.LocationFeature_value
	State_name                                            = src.State_name
	State_value                                           = src.State_value
)

// Request for
// [HubService.CreateHub][google.cloud.networkconnectivity.v1.HubService.CreateHub]
// method.
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type CreateHubRequest = src.CreateHubRequest

// The request for
// [HubService.CreateSpoke][google.cloud.networkconnectivity.v1.HubService.CreateSpoke].
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type CreateSpokeRequest = src.CreateSpokeRequest

// The request for
// [HubService.DeleteHub][google.cloud.networkconnectivity.v1.HubService.DeleteHub].
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type DeleteHubRequest = src.DeleteHubRequest

// The request for
// [HubService.DeleteSpoke][google.cloud.networkconnectivity.v1.HubService.DeleteSpoke].
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type DeleteSpokeRequest = src.DeleteSpokeRequest

// Request for
// [HubService.GetHub][google.cloud.networkconnectivity.v1.HubService.GetHub]
// method.
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type GetHubRequest = src.GetHubRequest

// The request for
// [HubService.GetSpoke][google.cloud.networkconnectivity.v1.HubService.GetSpoke].
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type GetSpokeRequest = src.GetSpokeRequest

// A hub is a collection of spokes. A single hub can contain spokes from
// multiple regions. However, if any of a hub's spokes use the data transfer
// feature, the resources associated with those spokes must all reside in the
// same VPC network. Spokes that do not use data transfer can be associated
// with any VPC network in your project.
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type Hub = src.Hub

// HubServiceClient is the client API for HubService service. For semantics
// around ctx use and closing/ending streaming RPCs, please refer to
// https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type HubServiceClient = src.HubServiceClient

// HubServiceServer is the server API for HubService service.
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type HubServiceServer = src.HubServiceServer

// A collection of VLAN attachment resources. These resources should be
// redundant attachments that all advertise the same prefixes to Google Cloud.
// Alternatively, in active/passive configurations, all attachments should be
// capable of advertising the same prefixes.
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type LinkedInterconnectAttachments = src.LinkedInterconnectAttachments

// A collection of router appliance instances. If you configure multiple
// router appliance instances to receive data from the same set of sites
// outside of Google Cloud, we recommend that you associate those instances
// with the same spoke.
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type LinkedRouterApplianceInstances = src.LinkedRouterApplianceInstances

// A collection of Cloud VPN tunnel resources. These resources should be
// redundant HA VPN tunnels that all advertise the same prefixes to Google
// Cloud. Alternatively, in a passive/active configuration, all tunnels should
// be capable of advertising the same prefixes.
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type LinkedVpnTunnels = src.LinkedVpnTunnels

// Request for
// [HubService.ListHubs][google.cloud.networkconnectivity.v1.HubService.ListHubs]
// method.
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type ListHubsRequest = src.ListHubsRequest

// Response for
// [HubService.ListHubs][google.cloud.networkconnectivity.v1.HubService.ListHubs]
// method.
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type ListHubsResponse = src.ListHubsResponse

// The request for
// [HubService.ListSpokes][google.cloud.networkconnectivity.v1.HubService.ListSpokes].
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type ListSpokesRequest = src.ListSpokesRequest

// The response for
// [HubService.ListSpokes][google.cloud.networkconnectivity.v1.HubService.ListSpokes].
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type ListSpokesResponse = src.ListSpokesResponse

// Supported features for a location
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type LocationFeature = src.LocationFeature

// Metadata about locations
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type LocationMetadata = src.LocationMetadata

// Represents the metadata of the long-running operation.
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type OperationMetadata = src.OperationMetadata

// A router appliance instance is a Compute Engine virtual machine (VM)
// instance that acts as a BGP speaker. A router appliance instance is
// specified by the URI of the VM and the internal IP address of one of the
// VM's network interfaces.
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type RouterApplianceInstance = src.RouterApplianceInstance

// RoutingVPC contains information about the VPC networks that are associated
// with a hub's spokes.
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type RoutingVPC = src.RoutingVPC

// A spoke represents a connection between your Google Cloud network resources
// and a non-Google-Cloud network. When you create a spoke, you associate it
// with a hub. You must also identify a value for exactly one of the following
// fields: * linked_vpn_tunnels * linked_interconnect_attachments *
// linked_router_appliance_instances
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type Spoke = src.Spoke

// The State enum represents the lifecycle stage of a Network Connectivity
// Center resource.
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type State = src.State

// UnimplementedHubServiceServer can be embedded to have forward compatible
// implementations.
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type UnimplementedHubServiceServer = src.UnimplementedHubServiceServer

// Request for
// [HubService.UpdateHub][google.cloud.networkconnectivity.v1.HubService.UpdateHub]
// method.
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type UpdateHubRequest = src.UpdateHubRequest

// Request for
// [HubService.UpdateSpoke][google.cloud.networkconnectivity.v1.HubService.UpdateSpoke]
// method.
//
// Deprecated: Please use types in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
type UpdateSpokeRequest = src.UpdateSpokeRequest

// Deprecated: Please use funcs in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
func NewHubServiceClient(cc grpc.ClientConnInterface) HubServiceClient {
	return src.NewHubServiceClient(cc)
}

// Deprecated: Please use funcs in: cloud.google.com/go/networkconnectivity/apiv1/networkconnectivitypb
func RegisterHubServiceServer(s *grpc.Server, srv HubServiceServer) {
	src.RegisterHubServiceServer(s, srv)
}
